| Resource | Description |
|---|---|
| Number Verification | API operation to verify a phone number received as input. It can be received either in plain text or hashed format. |
| Resource | Description |
|---|---|
| Number Verification | API operation to verify a phone number received as input. It can be received either in plain text or hashed format. |
Verifies if the specified phone number (either in plain text or hashed format) matches the one that the user is currently using. Only one of the plain or hashed formats must be provided.
device phone number associated to the access tokenPATH PARAMETERS
{
"referenceMsisdn": "+34611223344",
"evidence": {
"type": "PLAIN",
"value": "+34611223344"
}
} {
"referenceMsisdn": "+34611223344",
"evidence": {
"type": "HASHED_SHA256",
"value": "32f67ab4e4312618b09cd23ed8ce41b13e095fe52b73b2e8da8ef49830e50dba"
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
referenceMsisdn* | string | The MSISDN assigned by the network and extracted from the authentication token. A public identifier addressing a telephone subscription. In mobile networks it corresponds to the MSISDN (Mobile Station International Subscriber Directory Number). In order to be globally unique it has to be formatted in international format, according to E.164 standard, prefixed with '+'. | pattern: ^\+[1-9][0-9]{4,14}$ | ||||||||||||||||
evidence* | object | ||||||||||||||||||
| |||||||||||||||||||
OK OK
{
"devicePhoneNumberVerified": true
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
devicePhoneNumberVerified* | boolean | Number verification. True, if it matches |
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code* | string | code of the error | ||
title* | string | title of the error | ||
ref* | string | ref of the error | ||
details* | string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code* | string | code of the error | ||
title* | string | title of the error | ||
ref* | string | ref of the error | ||
details* | string | details of the error |
Forbidden Client does not have sufficient permission. In addition to regular scenario of `PERMISSION_DENIED`, other scenarios may exist: - Client authentication was not via mobile network. In order to check the authentication method, AMR parameter value in the 3-legged user's access token can be used and make sure that the authentication was not either by SMS+OTP nor username/password (`{"code": "NUMBER_VERIFICATION.USER_NOT_AUTHENTICATED_BY_MOBILE_NETWORK","message": "Client must authenticate via the mobile network to use this service"}`)
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code* | string | code of the error | ||
title* | string | title of the error | ||
ref* | string | ref of the error | ||
details* | string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code* | string | code of the error | ||
title* | string | title of the error | ||
ref* | string | ref of the error | ||
details* | string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code* | string | code of the error | ||
title* | string | title of the error | ||
ref* | string | ref of the error | ||
details* | string | details of the error |
Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code* | string | code of the error | ||
title* | string | title of the error | ||
ref* | string | ref of the error | ||
details* | string | details of the error |
x-correlatorstringCorrelation id for the different services
curl -X POST 'https://opengateway.masstack.com/v2/orgs/masmovil/number-verification/verify' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"referenceMsisdn": "+34611223344",
"evidence": {
"type": "PLAIN",
"value": "+34611223344"
}
}'